Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Type_Filter Class Reference

A filter based on event type/source. More...

`#include <EC_Type_Filter.h>`

Inheritance diagram for TAO_EC_Type_Filter:

[legend]
Collaboration diagram for TAO_EC_Type_Filter:

[legend]
List of all members.

## Public Methods
| TAO_EC_Type_Filter (const RtecEventComm::EventHeader &header)
| Constructor. More...
virtual int | filter (const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
virtual int | filter_nocopy (RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
virtual void | push (const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
virtual void | push_nocopy (RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
virtual void | clear (void)
| Clear any saved state, must reset and assume no events have been received. More...
virtual CORBA::ULong | max_event_size (void) const
| Returns the maximum size of the events pushed by this filter. More...
virtual int | can_match (const RtecEventComm::EventHeader &header) const
virtual int | add_dependencies (const RtecEventComm::EventHeader &header, const TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)

## Detailed Description

A filter based on event type/source.

This filter only accept events with a predefined type/source, both the source and the type can be wildcards.

## Constructor & Destructor Documentation

TAO_EC_Type_Filter::TAO_EC_Type_Filter | ( | const RtecEventComm::EventHeader & | header | ) |

| Constructor.

## Member Function Documentation

virtual int TAO_EC_Type_Filter::add_dependencies | ( | const RtecEventComm::EventHeader & | header,
|  | const TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| This is used for computing the scheduling dependencies: Leaf filters check if the header could be matched, similar to the can_match() method; if it does they return 1, and 0 otherwise. Intermediate nodes always return 0. This is used to build precise dependencies between the suppliers and the leaf of the filters that accept that event. Notice that only the nodes doing scheduling recurse through the list, so in configurations that do no require scheduling the recursion stops fairly soon. Reimplemented from TAO_EC_Filter.

int TAO_EC_Type_Filter::can_match | ( | const RtecEventComm::EventHeader & | header | ) | const`[virtual]`

| Returns 0 if an event with that header could never be accepted. This can used by the suppliers to filter out consumers that couldn't possibly be interested in their events. The rt_info and Reimplemented from TAO_EC_Filter.

void TAO_EC_Type_Filter::clear | ( | void |  | ) | `[virtual]`

| Clear any saved state, must reset and assume no events have been received. Reimplemented from TAO_EC_Filter.

int TAO_EC_Type_Filter::filter | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Filter this event, returns 1 if the event is accepted, 0 otherwise. Notice that there are two versions of the method, if the event is not const then filter can take ownership of the event. Reimplemented from TAO_EC_Filter.

int TAO_EC_Type_Filter::filter_nocopy | ( | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_EC_Filter.

CORBA::ULong TAO_EC_Type_Filter::max_event_size | ( | void |  | ) | const`[virtual]`

| Returns the maximum size of the events pushed by this filter. Reimplemented from TAO_EC_Filter.

void TAO_EC_Type_Filter::push | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| This is called by the children when they accept an event and which to pass it up. Notice that there are two versions of the method, if the event is not const then filter can take ownership of the event. Reimplemented from TAO_EC_Filter.

void TAO_EC_Type_Filter::push_nocopy | ( | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_EC_Filter.

The documentation for this class was generated from the following files:

- EC_Type_Filter.h
- EC_Type_Filter.cpp